this.name				= "collaps_shields.js";
this.author				= "Stranger";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Script for collapsing shields";
this.version				= "0.3";

this.shipWillLaunchFromStation = this.startFuelTimer = function()
	{
	this.fuelFlag = 0;
	if(this.fuelWatchTimer)
		{ this.fuelWatchTimer.start(); }
	else
		{ this.fuelWatchTimer = new Timer(this, this.checkSpeed,0,1); }
	}

this.shipWillDockWithStation = this.shipDied = this.stopFuelTimer = function()
	{
	this.fuelFlag = 0;
	if(this.fuelWatchTimer && this.fuelWatchTimer.isRunning) { this.fuelWatchTimer.stop(); } 
	}
	
this.checkSpeed = function()
	{	

	if(player.ship.speed > 0) // ship in cruise mode
		{ //  increment flag, looping between 0 and 180
		this.fuelFlag += 1;
		this.fuelFlag = this.fuelFlag % 180;
		}

	if(this.fuelFlag == 179) // fuel decrement every 180th second
		{ 
		player.ship.fuel -= 0.1;
		}

	if(player.ship.fuel == 0.1) // warning message - fuel low
		{
		player.consoleMessage("Fuel low!", 3);
		}

	if(player.ship.fuel == 0) // fuel empty - collapsed shields
		{
		player.ship.aftShield = 0;
		player.ship.forwardShield = 0;
		player.ship.energy +=2;
		if(player.ship.energy > 32)
			{
			player.ship.energy = 32;
			}
		}
	
	if(player.ship.speed >= 10 * player.ship.maxSpeed) // if the ship is under jump drive (FI is speed x 7, torus is speed x 32)
		{
		player.ship.aftShield = 0;
		player.ship.forwardShield = 0;
		player.ship.energy += 2;
		}
	else
		{ return; } // if not under jump drive, exit function
		
	}